Name:           python-edc-data-manager
Version:        0.3.81
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Data manager administrative models and classes for clinicedc/edc projects

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/clinicedc/edc-data-manager
Source:         %{pypi_source edc_data_manager}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edc-data-manager' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edc-data-manager
Summary:        %{summary}

%description -n python3-edc-data-manager %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-edc-data-manager test


%prep
%autosetup -p1 -n edc_data_manager-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edc-data-manager -f %{pyproject_files}


%changelog
%autochangelog